Subject: Re: linux-next: build failure after merge final merge

From: Bjorn Helgaas <[email-masked]>
Date: Tue, 16 Feb 2010 10:41:55 -0700

On Tuesday 16 February 2010 10:03:29 am Bjorn Helgaas wrote:
> On Tuesday 16 February 2010 12:36:50 am Stephen Rothwell wrote:
> > After merging, today's linux-next build (sparc64 defconfig) failed like
> > this:
> > 
> > arch/sparc/kernel/pci.c: In function 'pci_cfg_fake_ranges':
> > arch/sparc/kernel/pci.c:404: error: 'struct pci_bus' has no member named 'resource'
> 
> Huh.  I built sparc64 defconfig (and alpha, arm, i686, ia64, mips,
> powerpc, sh, and sparc) in Jesse's linux-next branch, but obviously
> that's not doing the right thing for some reason.

BTW, do you have cross-compilers for all those targets?  It'd be great
if they were all available somewhere.  My set is incomplete and getting
old.

Bjorn